{"openapi":"3.0.4","info":{"title":"Update Relational Dataset Field Schema","description":"Update an existing relational dataset definition with the new field schema.\r\nApplicable only to the definitions that are already in use i.e. contain DataPoints associated with this definition.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/relationaldatasetdefinitions/{scope}/{code}/fieldschema/$update":{"post":{"tags":["Relational Dataset Definition"],"summary":"Update Relational Dataset Field Schema","description":"Update an existing relational dataset definition with the new field schema.\r\nApplicable only to the definitions that are already in use i.e. contain DataPoints associated with this definition.","operationId":"UpdateRelationalDatasetFieldSchema","parameters":[{"name":"scope","in":"path","description":"The scope of the relational dataset definition.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the relational dataset definition.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"Relational dataset fields to add, update or remove.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpdateRelationalDatasetFieldSchema"},"example":{"add":{"seriesIdentifiers":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"}}],"valueAndMetadataFields":[{"fieldName":"AssetClass","displayName":"Asset class","description":"The classification of the instrument","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Value"}]},"update":{"seriesIdentifiers":[{"fieldName":"asAtDate","displayName":"As At Date","description":"The date at which the instrument is effective","dataTypeId":{"scope":"system","code":"string"},"required":false}],"valueAndMetadataFields":[{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"Value"}]},"remove":{"valueAndMetadataFields":["price"]}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpdateRelationalDatasetFieldSchema"},"example":{"add":{"seriesIdentifiers":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"}}],"valueAndMetadataFields":[{"fieldName":"AssetClass","displayName":"Asset class","description":"The classification of the instrument","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Value"}]},"update":{"seriesIdentifiers":[{"fieldName":"asAtDate","displayName":"As At Date","description":"The date at which the instrument is effective","dataTypeId":{"scope":"system","code":"string"},"required":false}],"valueAndMetadataFields":[{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"Value"}]},"remove":{"valueAndMetadataFields":["price"]}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpdateRelationalDatasetFieldSchema"},"example":{"add":{"seriesIdentifiers":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"}}],"valueAndMetadataFields":[{"fieldName":"AssetClass","displayName":"Asset class","description":"The classification of the instrument","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Value"}]},"update":{"seriesIdentifiers":[{"fieldName":"asAtDate","displayName":"As At Date","description":"The date at which the instrument is effective","dataTypeId":{"scope":"system","code":"string"},"required":false}],"valueAndMetadataFields":[{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"Value"}]},"remove":{"valueAndMetadataFields":["price"]}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpdateRelationalDatasetFieldSchema"},"example":{"add":{"seriesIdentifiers":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"}}],"valueAndMetadataFields":[{"fieldName":"AssetClass","displayName":"Asset class","description":"The classification of the instrument","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Value"}]},"update":{"seriesIdentifiers":[{"fieldName":"asAtDate","displayName":"As At Date","description":"The date at which the instrument is effective","dataTypeId":{"scope":"system","code":"string"},"required":false}],"valueAndMetadataFields":[{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"Value"}]},"remove":{"valueAndMetadataFields":["price"]}}}}},"responses":{"200":{"description":"The updated relational dataset definition.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/RelationalDatasetDefinition"},"example":{"id":{"scope":"default","code":"sample-dataset"},"displayName":"Sample Financial Dataset","description":"A sample relational dataset definition for financial instruments with pricing data","applicableEntityTypes":["Instrument","Portfolio"],"fieldSchema":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"SeriesIdentifier"},{"fieldName":"price","displayName":"Price","description":"The market price of the instrument","dataTypeId":{"scope":"system","code":"number"},"required":true,"category":"Value"},{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Metadata"}],"href":"https://example.com/api/relationaldatasetdefinitions/default/sample-dataset","version":{"effectiveFrom":"2019-01-01T12:00:00.0000000+00:00","asAtDate":"2019-01-01T12:00:00.0100000+00:00"}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/RelationalDatasetDefinition"},"example":{"id":{"scope":"default","code":"sample-dataset"},"displayName":"Sample Financial Dataset","description":"A sample relational dataset definition for financial instruments with pricing data","applicableEntityTypes":["Instrument","Portfolio"],"fieldSchema":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"SeriesIdentifier"},{"fieldName":"price","displayName":"Price","description":"The market price of the instrument","dataTypeId":{"scope":"system","code":"number"},"required":true,"category":"Value"},{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Metadata"}],"href":"https://example.com/api/relationaldatasetdefinitions/default/sample-dataset","version":{"effectiveFrom":"2019-01-01T12:00:00.0000000+00:00","asAtDate":"2019-01-01T12:00:00.0100000+00:00"}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/RelationalDatasetDefinition"},"example":{"id":{"scope":"default","code":"sample-dataset"},"displayName":"Sample Financial Dataset","description":"A sample relational dataset definition for financial instruments with pricing data","applicableEntityTypes":["Instrument","Portfolio"],"fieldSchema":[{"fieldName":"instrumentId","displayName":"Instrument ID","description":"The unique identifier of the financial instrument","dataTypeId":{"scope":"system","code":"string"},"required":true,"category":"SeriesIdentifier"},{"fieldName":"price","displayName":"Price","description":"The market price of the instrument","dataTypeId":{"scope":"system","code":"number"},"required":true,"category":"Value"},{"fieldName":"currency","displayName":"Currency","description":"The currency of the price","dataTypeId":{"scope":"system","code":"string"},"required":false,"category":"Metadata"}],"href":"https://example.com/api/relationaldatasetdefinitions/default/sample-dataset","version":{"effectiveFrom":"2019-01-01T12:00:00.0000000+00:00","asAtDate":"2019-01-01T12:00:00.0100000+00:00"}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}